Skip to main content
`Ctrl`+`K`

# validate_schema

astropy.utils.xml.validate.validate_schema(filename, schema_file)

  Validates an XML file against a schema or DTD.

  Parameters:
    filename `python:str`

      The path to the XML file to validate

    schema_file `python:str`

      The path to the XML schema or DTD

  Returns:
    returncode, stdout, stderr `python:int`, `python:str`, `python:str`

      Returns the returncode from xmllint and the stdout and stderr as strings